function SCDconf_setConf(conf)
% set configuration setting
% SCDconf_setConf(conf)
%   conf: 'SIM', 'CODE' or use custom conf name

    switch lower(conf)
      case 'sim'
        confName = 'configurationSettingsSIM';
      case 'code'
        confName = 'configurationSettingsCODEicc';
      otherwise
        confName = conf; % custom input
    end
    fname = 'configurations.sldd'; % dd file name
    disp('Setting configurationSettings = %s in configurations.sldd ...',confName);
    
    dd=Simulink.data.dictionary.open(fname);
    confSection=getSection(dd, 'Configurations');
    assert(confSection.exist(confName),'%s does not exist in %s',confName,fname);
    simconf=confSection.getEntry(confName);
    configurationSettings=simconf.getValue;
    configurationSettings.Name='configurationSettings';

    % create or set new configurationSettings entry
    if confSection.exist('configurationSettings')
       activeconf=confSection.getEntry('configurationSettings');
       activeconf.setValue(configurationSettings);
    else
      confSection.addEntry('configurationSettings',configurationSettings)
    end
end

    